PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
PPtrVector< ObjClass > Class Template Reference

`#include <array.h>`

Inherits std::vector< T >.

## Public Types
typedef std::vector< ObjClass * > | Parent

## Public Member Functions
virtual | ~PPtrVector ()
void | Clear ()

## Additional Inherited Members
Public Attributes inherited from std::vector< T >
T | elements
| STL member. More...

## Member Typedef Documentation

template<class ObjClass >

typedef std::vector<ObjClass *> PPtrVector< ObjClass >::Parent

## Constructor & Destructor Documentation

template<class ObjClass >

virtual PPtrVector< ObjClass >::~PPtrVector | ( |  | ) |
| inline virtual

References PPtrVector< ObjClass >::Clear().

## Member Function Documentation

template<class ObjClass >

void PPtrVector< ObjClass >::Clear | ( |  | ) |
| inline

Referenced by PPtrVector< ObjClass >::~PPtrVector().

The documentation for this class was generated from the following file:

- array.h